package me.wazup.hideandseek.commands.admin;

import org.bukkit.Location;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.ChatColor;
import me.wazup.hideandseek.managers.FilesManager;
import me.wazup.hideandseek.Arena;
import org.bukkit.entity.Player;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class SetLocationCommand extends SubCommand
{
    public SetLocationCommand() {
        super("hideandseek.setlocation", false, "<Arena> Lobby | Hiders | SeekersWaiting | SeekersPlaying");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        final Player player = (Player)commandSender;
        if (array.length < 3 || (!array[2].equalsIgnoreCase("lobby") && !array[2].equalsIgnoreCase("hiders") && !array[2].equalsIgnoreCase("seekersWaiting") && !array[2].equalsIgnoreCase("seekersPlaying"))) {
            return false;
        }
        final Arena value = Arena.valueOf(array[1]);
        if (value == null) {
            player.sendMessage(customization.prefix + "Couldn't find an arena with that name!");
            return true;
        }
        final FileConfiguration config = FilesManager.getInstance().getConfig("arenas.yml");
        final Location location = player.getLocation();
        final String lowerCase = array[2].toLowerCase();
        if (lowerCase.equals("lobby")) {
            value.lobbySpawn = location;
        }
        else if (lowerCase.equals("hiders")) {
            value.hidersSpawn = location;
        }
        else if (lowerCase.equals("seekerswaiting")) {
            value.seekersWaitingSpawn = location;
        }
        else if (lowerCase.equals("seekersplaying")) {
            value.seekersPlayingSpawn = location;
        }
        config.set("Arenas." + value.name + ".Locations." + lowerCase + ".world", (Object)location.getWorld().getName());
        config.set("Arenas." + value.name + ".Locations." + lowerCase + ".x", (Object)location.getBlockX());
        config.set("Arenas." + value.name + ".Locations." + lowerCase + ".y", (Object)location.getBlockY());
        config.set("Arenas." + value.name + ".Locations." + lowerCase + ".z", (Object)location.getBlockZ());
        config.set("Arenas." + value.name + ".Locations." + lowerCase + ".yaw", (Object)location.getYaw());
        config.set("Arenas." + value.name + ".Locations." + lowerCase + ".pitch", (Object)location.getPitch());
        FilesManager.getInstance().saveConfig("arenas.yml");
        value.updateArenaBuilt();
        player.sendMessage(customization.prefix + ChatColor.GREEN + "Success! " + ChatColor.GOLD + "You have set the location of the " + ChatColor.YELLOW + lowerCase + ChatColor.GOLD + " in the arena " + ChatColor.AQUA + value.name + ChatColor.GOLD + " at (" + ChatColor.AQUA + location.getBlockX() + ChatColor.GOLD + ", " + ChatColor.AQUA + location.getBlockY() + ChatColor.GOLD + ", " + ChatColor.AQUA + location.getBlockZ() + ChatColor.GOLD + ")");
        return true;
    }
}
